
<p:declare-step version="1.0" xmlns:p="http://www.w3.org/ns/xproc"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-inline-prefixes="xsl">

    <p:output port="result" sequence="true"/>

    <p:add-attribute name="stylesheet" match="xsl:result-document" attribute-name="href"
        attribute-value="file:/new.xml">
        <p:input port="source">
            <p:inline>
                <xsl:stylesheet version="2.0">
                    <xsl:template match="/">
                        <xsl:result-document>
                            <xsl:copy-of select="."/>
                        </xsl:result-document>
                    </xsl:template>
                </xsl:stylesheet>
            </p:inline>
        </p:input>
    </p:add-attribute>
    <p:xslt name="xslt" output-base-uri="file:/new.xml">
        <p:input port="source">
            <p:inline>
                <doc test=""/>
            </p:inline>
        </p:input>
        <p:input port="stylesheet">
            <p:pipe port="result" step="stylesheet"/>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:xslt>
    <p:sink/>
    <p:wrap-sequence wrapper="irrelevant">
        <p:input port="source">
            <p:pipe port="secondary" step="xslt"/>
        </p:input>
    </p:wrap-sequence>
    <p:unwrap match="/*"/>

    <p:string-replace match="@test" replace="base-uri()"/>

</p:declare-step>
